Loading...
Searching...
No Matches
XrdCmsRole Class Reference

`#include <XrdCmsRole.hh>`

Collaboration diagram for XrdCmsRole:

## Public Types

enum | RoleID { MetaManager = 0 , Manager , Supervisor , Server , ProxyManager , ProxySuper , ProxyServer , PeerManager , Peer , noRole }

## Public Member Functions

| XrdCmsRole ()
| ~XrdCmsRole ()

## Static Public Member Functions

static RoleID | Convert (const char *Tok1, const char *Tok2)
static const char * | Name (RoleID rid)
static const char * | Type (const char *rtype)
static const char * | Type (RoleID rid)

## Detailed Description

Definition at line 37 of file XrdCmsRole.hh.

## Member Enumeration Documentation

## RoleID

enum XrdCmsRole::RoleID

Enumerator
MetaManager |
Manager |
Supervisor |
Server |
ProxyManager |
ProxySuper |
ProxyServer |
PeerManager |
Peer |
noRole |

Definition at line 41 of file XrdCmsRole.hh.

{MetaManager = 0,
Manager, Supervisor, Server,
ProxyManager, ProxySuper, ProxyServer,
PeerManager, Peer, noRole
};
XrdCmsRole::ProxyServer
@ ProxyServer
Definition XrdCmsRole.hh:43
XrdCmsRole::Peer
@ Peer
Definition XrdCmsRole.hh:44
XrdCmsRole::ProxyManager
@ ProxyManager
Definition XrdCmsRole.hh:43
XrdCmsRole::PeerManager
@ PeerManager
Definition XrdCmsRole.hh:44
XrdCmsRole::Server
@ Server
Definition XrdCmsRole.hh:42
XrdCmsRole::noRole
@ noRole
Definition XrdCmsRole.hh:44
XrdCmsRole::Manager
@ Manager
Definition XrdCmsRole.hh:42
XrdCmsRole::MetaManager
@ MetaManager
Definition XrdCmsRole.hh:41
XrdCmsRole::ProxySuper
@ ProxySuper
Definition XrdCmsRole.hh:43
XrdCmsRole::Supervisor
@ Supervisor
Definition XrdCmsRole.hh:42

## Constructor & Destructor Documentation

## XrdCmsRole()

XrdCmsRole::XrdCmsRole | ( |  | ) |

inline

Definition at line 102 of file XrdCmsRole.hh.

{}

## ~XrdCmsRole()

XrdCmsRole::~XrdCmsRole | ( |  | ) |

inline

Definition at line 103 of file XrdCmsRole.hh.

{}

## Member Function Documentation

## Convert()

RoleID XrdCmsRole::Convert | ( | const char * | Tok1,
|  | const char * | Tok2 )

inline static

Definition at line 47 of file XrdCmsRole.hh.

{if (!Tok2)
{if (!strcmp( Tok1, "server")) return Server;
if (!strcmp( Tok1, "supervisor")) return Supervisor;
return (strcmp(Tok1, "manager") ? noRole:Manager);
}
if (!strcmp( Tok1, "proxy"))
{if (!strcmp( Tok2, "server")) return ProxyServer;
if (!strcmp( Tok2, "supervisor")) return ProxySuper;
return (strcmp(Tok2, "manager") ? noRole:ProxyManager);
}
if (!strcmp( Tok1, "meta"))
return (strcmp(Tok2, "manager") ? noRole:MetaManager);
return noRole;
}

References Manager, MetaManager, noRole, ProxyManager, ProxyServer, ProxySuper, Server, and Supervisor.

## Name()

const char * XrdCmsRole::Name | ( | RoleID | rid | ) |

inline static

Definition at line 63 of file XrdCmsRole.hh.

{static const char *rName[] = {"meta manager", // MetaMan
"manager", // Manager
"supervisor", // Super
"server", // Server
"proxy manager", // ProxyMan
"proxy supervisor",
"proxy server", // ProxyServ
"peer manager", // PeerMan
"peer" // Peer
};
if (rid >= MetaManager && rid < noRole) return rName[rid];
return "??";
}

References MetaManager, and noRole.

Referenced by XrdCmsConfig::Configure1().

Here is the caller graph for this function:

## Type() [1/2]

const char * XrdCmsRole::Type | ( | const char * | rtype | ) |

inline static

Definition at line 93 of file XrdCmsRole.hh.

{if (*rtype == 'M') return "manager";
if (*rtype == 'R') return "supervisor";
if (*rtype == 'S') return "server";
if (*rtype == 'P') return "proxy";
if (*rtype == 'E') return "peer";
return "";
}

## Type() [2/2]

const char * XrdCmsRole::Type | ( | RoleID | rid | ) |

inline static

Definition at line 78 of file XrdCmsRole.hh.

{static const char *tName[] = {"MM", // MetaMan
"M", // Manager
"R", // Super
"S", // Server
"PM", // ProxyMan
"PR", // ProxySuper
"PS", // ProxyServ
"EM", // PeerMan
"E" // Peer
};
if (rid >= MetaManager && rid < noRole) return tName[rid];
return "??";
}

References MetaManager, and noRole.

Referenced by XrdCmsConfig::Configure1(), and XrdCmsCluster::Statt().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdCmsRole.hh